Bug 606263 - (NFS client): Disable NFSv4 over UDP
(NFS client): Disable NFSv4 over UDP
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: nfs-maint
Red Hat Kernel QE team
:
Depends On: 606260 609113 1431683
Blocks: 767187 846704
  Show dependency treegraph
 
Reported: 2010-06-21 05:31 EDT by Sachin Prabhu
Modified: 2017-03-13 11:27 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 606260
Environment:
Last Closed: 2015-11-23 10:18:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sachin Prabhu 2010-06-21 05:31:39 EDT
This bugzilla has been raised for the NFS Client part.

+++ This bug was initially created as a clone of Bug #606260 +++

At the moment on RHEL 6 beta, we support NFSv4 over UDP. 

RFC3530 states

   Where an NFS version 4 implementation supports operation over the IP
   network protocol, the supported transports between NFS and IP MUST be
   among the IETF-approved congestion control transport protocols, which
   include TCP and SCTP

UDP doesn't perform congestion control. This combination is thus not standards compliant.

I came across this thread upstream.
http://linux-nfs.org/pipermail/nfsv4/2006-February/003480.html
Comment 1 RHEL Product and Program Management 2010-06-21 05:43:14 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 RHEL Product and Program Management 2010-07-15 10:20:49 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **

Note You need to log in before you can comment on or make changes to this bug.